0
0 개 품목₩0

270µH Radial Leaded Power Inductors :

11개 제품을 찾았습니다.
Find a huge range of 270µH Radial Leaded Power Inductors at element14 Korea. We stock a wide range of Radial Leaded Power Inductors, such as 10µH, 100µH, 1mH & 220µH Radial Leaded Power Inductors from the worlds top manufacturers including: Coilcraft, Kemet & Bourns

모든 필터

(1 적용됨)

모두 펼치기
비교
제조업체 부품 번호
주문 코드
제조업체 / 설명
재고 정보
단가 기준
가격
수량
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
3011784

RoHS

Each
10+₩1,906
50+₩1,782
300+₩852
600+₩782
1200+₩767
가격 더 알아보기
SBCP Series
270µH
Unshielded
300mA
300mA
1.3ohm
± 10%
2457611

RoHS

Each
1+₩1,492
10+₩1,265
25+₩1,149
50+₩1,024
100+₩898
가격 더 알아보기
DR0810 Series
270µH
Unshielded
1.28A
900mA
0.62ohm
± 10%
2309241

RoHS

Each
1+₩525
5+₩480
10+₩435
25+₩380
50+₩349
가격 더 알아보기
RLB Series
270µH
Unshielded
770mA
1.4A
0.68ohm
± 10%
2457911

RoHS

Each
1+₩2,086
5+₩1,927
10+₩1,768
25+₩1,630
50+₩1,447
가격 더 알아보기
RFC1010 Series
270µH
Unshielded
1.27A
1.65A
0.44ohm
± 10%
2526911

RoHS

Each
1+₩2,997
5+₩2,776
10+₩2,555
25+₩2,348
50+₩2,051
가격 더 알아보기
RFS1317 Series
270µH
Shielded
2.05A
1.7A
0.263ohm
± 10%
2457881

RoHS

Each
1+₩2,113
5+₩1,955
10+₩1,796
25+₩1,630
50+₩1,454
가격 더 알아보기
RFC0810 Series
270µH
Unshielded
1.05A
1.2A
0.53ohm
± 10%
2457768

RoHS

Each
1+₩2,348
5+₩2,169
10+₩1,989
25+₩1,823
50+₩1,616
가격 더 알아보기
RFB0810 Series
270µH
Unshielded
1.3A
840mA
0.55ohm
± 10%
2457847

RoHS

Each
1+₩1,409
5+₩1,299
10+₩1,189
25+₩1,082
50+₩964
가격 더 알아보기
RFC0807 Series
270µH
Unshielded
800mA
1.2A
0.805ohm
± 10%
2457728

RoHS

Each
1+₩1,837
5+₩1,699
10+₩1,561
25+₩1,423
50+₩1,269
가격 더 알아보기
RFB0807 Series
270µH
Unshielded
780mA
600mA
0.9ohm
± 10%
2457581

RoHS

Each
1+₩1,354
10+₩1,151
25+₩1,046
50+₩932
100+₩817
가격 더 알아보기
DR0608 Series
270µH
Unshielded
930mA
690mA
0.96ohm
± 10%
2457696

RoHS

Each
1+₩18,062
2+₩17,261
3+₩16,460
5+₩15,659
10+₩14,858
가격 더 알아보기
PCV-2 Series
270µH
Unshielded
7.2A
-
0.06ohm
± 10%
11개 품목 1-11개
1 페이지 중

Popular Suppliers

TDK
MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY
Trade Account